Summary:	Lexmark printer management commands
Summary(de):	Verwaltung für Lexmark Drucker Kommandos
Name:		lxcontrol
Version:	1.3 
Release:	%mkrel 3
License:	GPL
Group:		System/Printing
Source:		http://www.powerup.com.au/~pbwest/lexmark/lexmark.html/lxcontrol.tar.bz2
Source1:	http://209.233.17.85/lexmark/lm1100maint.tar.bz2
Source2:	http://bimbo.fjfi.cvut.cz/~paluch/l7kdriver/changecartridge
Source3:	README.changecartridge
Source4:	README.Lexmark-Maintenance
Source5:	lx.control.sh
Patch0:		lxcontrol-lx.control-cups.patch
Requires:	cups
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Tools for show and hide catridges, and align and clean heads in a Lexmark
printer. Used with Lexmark 5xxx, 7xxx and 11xx, possible with others.

%description -l de
Werkzeug für das Verwalten der Druckerpatronen (Füllstandzanzeige, Reinigung und 
Einstellen des Druckkopfes) Unterstützung der Lexmark 5xxx, 7xxx und 11xx Serie und eventuell weitere.


%prep

%setup -q -n %{name}
%setup -q -n %{name} -a 1 -T -D
cp %{SOURCE2} changecartridge
mv README.Lexmark README.Lexmark5xxx_7xxx
mv lm1100maint/README README.Lexmark1xxx
cp %{SOURCE3} .
cp %{SOURCE4} .
%patch0 -p1

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/lxcontrol
install -d %{buildroot}%{_datadir}/lm1100maint
install -d %{buildroot}%{_datadir}/applications

# Lexmark printer maintenance
# Program and data files
install -m 755 lx.control %{buildroot}%{_bindir}/
install -m 755 %{_sourcedir}/lx.control.sh %{buildroot}%{_bindir}/
install -m 755 lm1100maint/lm1100change %{buildroot}%{_bindir}/
install -m 755 lm1100maint/lm1100back %{buildroot}%{_bindir}/
install -m 755 changecartridge %{buildroot}%{_bindir}/
cp -f *.out %{buildroot}%{_datadir}/lxcontrol/
( cd %{buildroot}%{_bindir}
  ln -s lx.control headclean
  ln -s lx.control headalign
  ln -s lx.control showcartridges
  ln -s lx.control hidecartridges
  ln -s lx.control.sh headclean.sh
  ln -s lx.control.sh headalign.sh
  ln -s lx.control.sh showcartridges.sh
  ln -s lx.control.sh hidecartridges.sh
)
cp -f lm1100maint/lexmark* \
	%{buildroot}%{_datadir}/lm1100maint/

# XDG menu
install -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/headalign.desktop << EOF
[Desktop Entry]
Name=Lexmark headalign
Name[de]=Lexmark Druckkopfausrichtung
Comment=Lexmark Lexmark 5xxx, 7xxx and 11xx Head Aligner
Comment[de]=Lexmark Druckkopfausrichtung für Lexmark 5xxx, 7xxx und 11xx Serie
Exec=%{_bindir}/headalign.sh
Icon=printing_section.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration-Printing;
EOF

cat > %{buildroot}%{_datadir}/applications/headclean.desktop << EOF
[Desktop Entry]
Name=Lexmark headclean
Name[de]=Lexmark Druckkopfreinigung
Comment=Lexmark Lexmark 5xxx, 7xxx and 11xx Head Cleaner
Comment[de]=Lexmark Druckkopfreinigung für Lexmark 5xxx, 7xxx und 11xx Serie
Exec=%{_bindir}/headclean.sh
Icon=printing_section.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration-Printing;
EOF

cat > %{buildroot}%{_datadir}/applications/hidecartridges.desktop << EOF
[Desktop Entry]
Name=Lexmark hidecartridges
Name[de]=Lexmark Patronen vergeben/entfernen
Comment=Lexmark Lexmark 5xxx, 7xxx and 11xx Cartridges Hider
Comment[de]=Lexmark Patronen vergeben/entfernen für Lexmark 5xxx, 7xxx und 11xx Serie
Exec=%{_bindir}/hidecartridges.sh
Icon=printing_section.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration-Printing;
EOF

cat > %{buildroot}%{_datadir}/applications/showcartridges.desktop << EOF
[Desktop Entry]
Name=Lexmark showcartridges
Name[de]=Lexmark Patronen Füllstandanzeige
Comment=Lexmark Lexmark 5xxx, 7xxx and 11xx Cartridges Viewer
Comment[de]=Lexmark Patronen Füllstandanzeige für Lexmark 5xxx, 7xxx und 11xx Serie
Exec=%{_bindir}/showcartridges.sh
Icon=printing_section.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration-Printing;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/lm1100maint
%{_datadir}/lxcontrol
%{_datadir}/applications/*


%changelog
* Mon May 24 2010 maik3531 <maik3531 at yaoo.de> 1.3-3pclos2010
- add german launchers and description

* Sun Mar 07 2010 Texstar <texstar at gmail.com> 1.3-2pclos2010
- fix menu icons

